// Verilog generated by generate_verilog.sh
//
// Virtuoso library: vmm_top_WD
// Virtuoso cell:    vmm_top

module vmm_top (
    input acore_clk,
    output [5:0] adc_0,
    output [5:0] adc_10,
    output [5:0] adc_11,
    output [5:0] adc_12,
    output [5:0] adc_13,
    output [5:0] adc_14,
    output [5:0] adc_15,
    output [5:0] adc_16,
    output [5:0] adc_17,
    output [5:0] adc_18,
    output [5:0] adc_19,
    output [5:0] adc_1,
    output [5:0] adc_20,
    output [5:0] adc_21,
    output [5:0] adc_22,
    output [5:0] adc_23,
    output [5:0] adc_24,
    output [5:0] adc_25,
    output [5:0] adc_26,
    output [5:0] adc_27,
    output [5:0] adc_28,
    output [5:0] adc_29,
    output [5:0] adc_2,
    output [5:0] adc_30,
    output [5:0] adc_31,
    output [5:0] adc_3,
    output [5:0] adc_4,
    output [5:0] adc_5,
    output [5:0] adc_6,
    output [5:0] adc_7,
    output [5:0] adc_8,
    output [5:0] adc_9,
    input adc_clk,
    output adc_data_ready,
    input [4:0] adc_mux_config,
    input adc_mux_wr,
    input adc_ref_h,
    input adc_ref_l,
    input [11:0] addr,
    input [5:0] d_10_1,
    input [5:0] d_10_2,
    input [5:0] d_11_1,
    input [5:0] d_11_2,
    input [5:0] d_12_1,
    input [5:0] d_12_2,
    input [5:0] d_13_1,
    input [5:0] d_13_2,
    input [5:0] d_14_1,
    input [5:0] d_14_2,
    input [5:0] d_15_1,
    input [5:0] d_15_2,
    input [5:0] d_16_1,
    input [5:0] d_16_2,
    input [5:0] d_17_1,
    input [5:0] d_17_2,
    input [5:0] d_18_1,
    input [5:0] d_18_2,
    input [5:0] d_19_1,
    input [5:0] d_19_2,
    input [5:0] d_1_1,
    input [5:0] d_1_2,
    input [5:0] d_20_1,
    input [5:0] d_20_2,
    input [5:0] d_21_1,
    input [5:0] d_21_2,
    input [5:0] d_22_1,
    input [5:0] d_22_2,
    input [5:0] d_23_1,
    input [5:0] d_23_2,
    input [5:0] d_24_1,
    input [5:0] d_24_2,
    input [5:0] d_25_1,
    input [5:0] d_25_2,
    input [5:0] d_26_1,
    input [5:0] d_26_2,
    input [5:0] d_27_1,
    input [5:0] d_27_2,
    input [5:0] d_28_1,
    input [5:0] d_28_2,
    input [5:0] d_29_1,
    input [5:0] d_29_2,
    input [5:0] d_2_1,
    input [5:0] d_2_2,
    input [5:0] d_30_1,
    input [5:0] d_30_2,
    input [5:0] d_31_1,
    input [5:0] d_31_2,
    input [5:0] d_32_1,
    input [5:0] d_32_2,
    input [5:0] d_3_1,
    input [5:0] d_3_2,
    input [5:0] d_4_1,
    input [5:0] d_4_2,
    input [5:0] d_5_1,
    input [5:0] d_5_2,
    input [5:0] d_6_1,
    input [5:0] d_6_2,
    input [5:0] d_7_1,
    input [5:0] d_7_2,
    input [5:0] d_8_1,
    input [5:0] d_8_2,
    input [5:0] d_9_1,
    input [5:0] d_9_2,
    input [5:0] d_dac_10,
    input [5:0] d_dac_11,
    input [5:0] d_dac_12,
    input [5:0] d_dac_13,
    input [5:0] d_dac_14,
    input [5:0] d_dac_15,
    input [5:0] d_dac_16,
    input [5:0] d_dac_17,
    input [5:0] d_dac_18,
    input [5:0] d_dac_19,
    input [5:0] d_dac_1,
    input [5:0] d_dac_20,
    input [5:0] d_dac_21,
    input [5:0] d_dac_22,
    input [5:0] d_dac_23,
    input [5:0] d_dac_24,
    input [5:0] d_dac_25,
    input [5:0] d_dac_26,
    input [5:0] d_dac_27,
    input [5:0] d_dac_28,
    input [5:0] d_dac_29,
    input [5:0] d_dac_2,
    input [5:0] d_dac_30,
    input [5:0] d_dac_31,
    input [5:0] d_dac_32,
    input [5:0] d_dac_33,
    input [5:0] d_dac_34,
    input [5:0] d_dac_35,
    input [5:0] d_dac_36,
    input [5:0] d_dac_3,
    input [5:0] d_dac_4,
    input [5:0] d_dac_5,
    input [5:0] d_dac_6,
    input [5:0] d_dac_7,
    input [5:0] d_dac_8,
    input [5:0] d_dac_9,
    input [7:0] d_in,
    output [32:1] d_out_1,
    output [32:1] d_out_2,
    output [35:0] d_out_ip_dac,
    output [7:0] data_op,
    input ibias_m,
    input m_clk,
    input [8:0] r3_tune,
    input r_tune,
    input reset_adc,
    input sh_en,
    input sram_rd,
    input sram_reset,
    input sram_wr,
    input v_ref_comp_h,
    input v_ref_comp_l,
    input v_ref_ip_dac_h,
    input v_ref_ip_dac_l,
    input vcm,
    input vcm_en
    );
endmodule